<?php



//SE COLOCA EN OTRA HOJA
/*
$eligebase="contador";//NOMBRE DE LA TABLA DE LA BASE
$columna="IDCORRE_FACTURA";//NOMBRE DE LA COLUMNA
cambia($eligebase, $columna);

*/


//class apicambianumero
//{

function cambia($eligebase,$columna)
{

   
include'conexion1.php'; 

$conecta  = mysqli_connect($servidor,$nombre,$clave,$base);

$insert="SELECT $columna AS PEPE1  FROM $eligebase";
$une = mysqli_query($conecta,$insert);
$resultado = mysqli_fetch_object($une);

$correlativo= $resultado->PEPE1;
//$correlativo2=$correlativo+1;


//$numeroSecuencial = "532136433";

// 1) Lo convertimos a entero
$numeroInt2 = (int)$correlativo;

// 2) Incrementamos en 1
$numeroInt= $numeroInt2+1;

// 3) Lo volvemos a dejar en 9 dígitos con ceros a la izquierda
$correlativo2 = str_pad($numeroInt, 9, '0', STR_PAD_LEFT);


$consulta="UPDATE $eligebase SET $columna = '$correlativo2' WHERE ID='1'";
$sec=mysqli_query($conecta,$consulta);


return $correlativo2; 
    }

//}













?>